services:
  sso_backend.worker.user_csv_update:
    class: Sso\BackendBundle\Worker\UserCsvUpdate
    public: true
    arguments:
      - '@doctrine.orm.webservice_entity_manager'
      - '@sso_webservice.database_webservice.user'
      - '@sso_webservice.database_webservice.application'
      - '@sso_webservice.database_webservice.attribute'
      - '@sso_webservice.database_webservice.role'
      - '@validator'
      - '%kernel.cache_dir%'
      - '%kernel.debug%'

  sso_backend.form_filter_event_subscriber.application_relation_filter_subscriber:
    class: Sso\BackendBundle\Form\Filter\EventSubscriber\ApplicationRelationFilterSubscriber
    tags:
      - { name: kernel.event_subscriber }

  sso_backend.form.ws_application_relation_filter_type:
    class: Sso\BackendBundle\Form\WsApplicationRelationFilterType
    arguments: ['@doctrine.orm.webservice_entity_manager']
    tags:
      - { name: form.type }

  sso_backend.form.ws_application_users:
    class: Sso\BackendBundle\Form\WsApplicationUsers
    arguments: ['@request_stack']
    tags:
      - { name: form.type, alias: Sso\BackendBundle\Form\WsApplicationUsers }

  sso_backend.form.ws_user_csv_row_application_attribute_type:
    class: Sso\BackendBundle\Form\WsUserCsvRowApplicationAttributeType
    arguments: ['@sso_webservice.database_webservice.application']
    tags:
      - { name: form.type, alias: Sso\BackendBundle\Form\WsUserCsvRowApplicationAttributeType }

  sso_backend.form.ws_user_csv_row_application_role_type:
    class: Sso\BackendBundle\Form\WsUserCsvRowApplicationRoleType
    arguments: ['@sso_webservice.database_webservice.application']
    tags:
      - { name: form.type, alias: Sso\BackendBundle\Form\WsUserCsvRowApplicationRoleType }
